Page MenuHomeFreeBSD

Convert bsd.sdl.mk into Uses/sdl.mk
ClosedPublic

Authored by AMDmi3 on Feb 4 2019, 3:47 PM.

Details

Summary
  • Convert bsd.sdl.mk into Uses feature
  • Simplify code a bit
Test Plan

Exp-run is needed

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

AMDmi3 created this revision.Feb 4 2019, 3:47 PM
mat added a subscriber: mat.Feb 4 2019, 5:12 PM
mat added inline comments.
Mk/Uses/sdl.mk
79 ↗(On Diff #53579)

It would probably be a better idea to change this to a DEV_ERROR, and to move it in Mk/bsd.sanity.mk, and to patch the dozen ports or so that use USE_SDL=yes or opt_USE= sdl=yes.

Mk/bsd.port.mk
1426–1429 ↗(On Diff #53579)

I was going to suggest fixing those ports too, but there are quite a few.

AMDmi3 added inline comments.Feb 4 2019, 5:47 PM
Mk/Uses/sdl.mk
79 ↗(On Diff #53579)

Agreed, already working on this.

AMDmi3 added inline comments.Feb 4 2019, 5:52 PM
Mk/bsd.port.mk
1426–1429 ↗(On Diff #53579)

Yep, I'd prefer to convert ports gradually like it's done for USE_GNOME and USE_GL. Number of USE_SDL ports is comparable to USE_GL ports.

mat added inline comments.Feb 5 2019, 1:44 PM
Mk/bsd.port.mk
1426–1429 ↗(On Diff #53579)

Well, thing is, having it done gradually is not the nice thing to do, because you end up doing half the job and asking the other ports to finish it :-)

Technically, the way it was done for USE_GNOME or USE_GL was ok, but it was humanly wrong.

AMDmi3 updated this revision to Diff 53604.EditedFeb 5 2019, 5:23 PM
AMDmi3 edited the summary of this revision. (Show Details)

Remove support for USE_SDL=yes (all ports using USE_SDL=yes were fixed)

Herald added 1 blocking reviewer(s): portmgr. · View Herald TranscriptFeb 5 2019, 5:23 PM
AMDmi3 marked an inline comment as done.Feb 5 2019, 7:46 PM
mat added a comment.Feb 6 2019, 8:29 AM

Could you replace all the tests doing:

.if ${foo:Mbar} != ""

with a much simpler:

.if ${foo:Mbar}

and the:

.if ${foo:Mbar} == ""

with:

.if empty(foo:Mbar)

The time when our make required these constructions is long gone.

AMDmi3 updated this revision to Diff 53626.Feb 6 2019, 5:01 PM

Modernize make constructs

mat added a comment.Feb 6 2019, 8:46 PM

This look ok to me. Feel free to ask for an exp-run.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 11 2019, 3:21 PM
Closed by commit rP492696: Convert bsd.sdl.mk to Uses/sdl.mk (authored by AMDmi3, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.

@mat sorry, I though you've marked this as accepted. Exp-run was OK anyway: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235561